class crmDashboardResponse {
  Hotleads? hotleads;
  Hotleads? coldleads;
  Hotleads? warmleads;
  Hotleads? totalleads;
  Hotleads? orderlost;
  Hotleads? norequirement;
  Hotleads? openEnquiries;
  String? error;
  String? message;

  crmDashboardResponse(
      {this.hotleads,
        this.coldleads,
        this.warmleads,
        this.totalleads,
        this.orderlost,
        this.norequirement,
        this.openEnquiries,
        this.error,
        this.message});

  crmDashboardResponse.fromJson(Map<String, dynamic> json) {
    hotleads = json['hotleads'] != null
        ? new Hotleads.fromJson(json['hotleads'])
        : null;
    coldleads = json['coldleads'] != null
        ? new Hotleads.fromJson(json['coldleads'])
        : null;
    warmleads = json['warmleads'] != null
        ? new Hotleads.fromJson(json['warmleads'])
        : null;
    totalleads = json['totalleads'] != null
        ? new Hotleads.fromJson(json['totalleads'])
        : null;
    orderlost = json['orderlost'] != null
        ? new Hotleads.fromJson(json['orderlost'])
        : null;
    norequirement = json['norequirement'] != null
        ? new Hotleads.fromJson(json['norequirement'])
        : null;
    openEnquiries = json['open_enquiries'] != null
        ? new Hotleads.fromJson(json['open_enquiries'])
        : null;
    error = json['error'];
    message = json['message'];
  }

  Map<String, dynamic> toJson() {
    final Map<String, dynamic> data = new Map<String, dynamic>();
    if (this.hotleads != null) {
      data['hotleads'] = this.hotleads!.toJson();
    }
    if (this.coldleads != null) {
      data['coldleads'] = this.coldleads!.toJson();
    }
    if (this.warmleads != null) {
      data['warmleads'] = this.warmleads!.toJson();
    }
    if (this.totalleads != null) {
      data['totalleads'] = this.totalleads!.toJson();
    }
    if (this.orderlost != null) {
      data['orderlost'] = this.orderlost!.toJson();
    }
    if (this.norequirement != null) {
      data['norequirement'] = this.norequirement!.toJson();
    }
    if (this.openEnquiries != null) {
      data['open_enquiries'] = this.openEnquiries!.toJson();
    }
    data['error'] = this.error;
    data['message'] = this.message;
    return data;
  }
}

class Hotleads {
  String? count;
  Filter? filter;

  Hotleads({this.count, this.filter});

  Hotleads.fromJson(Map<String, dynamic> json) {
    count = json['count'];
    filter =
    json['filter'] != null ? new Filter.fromJson(json['filter']) : null;
  }

  Map<String, dynamic> toJson() {
    final Map<String, dynamic> data = new Map<String, dynamic>();
    data['count'] = this.count;
    if (this.filter != null) {
      data['filter'] = this.filter!.toJson();
    }
    return data;
  }
}

class Filter {
  String? id;
  String? pageName;
  String? mode;
  String? openStatus;
  String? status;

  Filter({this.id, this.pageName, this.mode, this.openStatus, this.status});

  Filter.fromJson(Map<String, dynamic> json) {
    id = json['id'];
    pageName = json['page_name'];
    mode = json['mode'];
    openStatus = json['open_status'];
    status = json['status'];
  }

  Map<String, dynamic> toJson() {
    final Map<String, dynamic> data = new Map<String, dynamic>();
    data['id'] = this.id;
    data['page_name'] = this.pageName;
    data['mode'] = this.mode;
    data['open_status'] = this.openStatus;
    data['status'] = this.status;
    return data;
  }
}
